import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListPresetsInput } from "../types/ListPresetsInput";
import { ListPresetsOutput } from "../types/ListPresetsOutput";
import { ElasticTranscoderResolvedConfiguration } from "../ElasticTranscoderConfiguration";
export * from "../types/ListPresetsInput";
export * from "../types/ListPresetsOutput";
export * from "../types/ListPresetsExceptionsUnion";
export declare class ListPresetsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListPresetsInput, OutputTypesUnion, ListPresetsOutput, ElasticTranscoderResolvedConfiguration, Blob> {
    readonly input: ListPresetsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListPresetsInput, ListPresetsOutput, Blob>;
    constructor(input: ListPresetsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticTranscoderResolvedConfiguration): __aws_sdk_types.Handler<ListPresetsInput, ListPresetsOutput>;
}
