"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListPresets_1 = require("../model/operations/ListPresets");
var ListPresetsCommand = /** @class */ (function () {
    function ListPresetsCommand(input) {
        this.input = input;
        this.model = ListPresets_1.ListPresets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListPresetsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListPresetsCommand;
}());
exports.ListPresetsCommand = ListPresetsCommand;
//# sourceMappingURL=ListPresetsCommand.js.map