"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListJobsByPipelineInput_1 = require("../shapes/ListJobsByPipelineInput");
var ListJobsByPipelineOutput_1 = require("../shapes/ListJobsByPipelineOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListJobsByPipeline = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListJobsByPipeline",
    http: {
        method: "GET",
        requestUri: "/2012-09-25/jobsByPipeline/{PipelineId}"
    },
    input: {
        shape: ListJobsByPipelineInput_1.ListJobsByPipelineInput
    },
    output: {
        shape: ListJobsByPipelineOutput_1.ListJobsByPipelineOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=ListJobsByPipeline.js.map