"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Notifications_1 = require("./_Notifications");
var _PipelineOutputConfig_1 = require("./_PipelineOutputConfig");
exports.UpdatePipelineInput = {
    type: "structure",
    required: ["Id"],
    members: {
        Id: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "Id"
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        InputBucket: {
            shape: {
                type: "string"
            }
        },
        Role: {
            shape: {
                type: "string"
            }
        },
        AwsKmsKeyArn: {
            shape: {
                type: "string"
            }
        },
        Notifications: {
            shape: _Notifications_1._Notifications
        },
        ContentConfig: {
            shape: _PipelineOutputConfig_1._PipelineOutputConfig
        },
        ThumbnailConfig: {
            shape: _PipelineOutputConfig_1._PipelineOutputConfig
        }
    }
};
//# sourceMappingURL=UpdatePipelineInput.js.map