"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdatePipelineNotifications_1 = require("../model/operations/UpdatePipelineNotifications");
var UpdatePipelineNotificationsCommand = /** @class */ (function () {
    function UpdatePipelineNotificationsCommand(input) {
        this.input = input;
        this.model = UpdatePipelineNotifications_1.UpdatePipelineNotifications;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdatePipelineNotificationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdatePipelineNotificationsCommand;
}());
exports.UpdatePipelineNotificationsCommand = UpdatePipelineNotificationsCommand;
//# sourceMappingURL=UpdatePipelineNotificationsCommand.js.map