"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _JobInput_1 = require("./_JobInput");
var _JobInputs_1 = require("./_JobInputs");
var _CreateJobOutput_1 = require("./_CreateJobOutput");
var _CreateJobOutputs_1 = require("./_CreateJobOutputs");
var _CreateJobPlaylists_1 = require("./_CreateJobPlaylists");
var _UserMetadata_1 = require("./_UserMetadata");
exports.CreateJobInput = {
    type: "structure",
    required: ["PipelineId"],
    members: {
        PipelineId: {
            shape: {
                type: "string"
            }
        },
        Input: {
            shape: _JobInput_1._JobInput
        },
        Inputs: {
            shape: _JobInputs_1._JobInputs
        },
        Output: {
            shape: _CreateJobOutput_1._CreateJobOutput
        },
        Outputs: {
            shape: _CreateJobOutputs_1._CreateJobOutputs
        },
        OutputKeyPrefix: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Playlists: {
            shape: _CreateJobPlaylists_1._CreateJobPlaylists
        },
        UserMetadata: {
            shape: _UserMetadata_1._UserMetadata
        }
    }
};
//# sourceMappingURL=CreateJobInput.js.map