"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Encryption_1 = require("./_Encryption");
exports._CaptionSource = {
    type: "structure",
    required: [],
    members: {
        Key: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Language: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TimeOffset: {
            shape: {
                type: "string"
            }
        },
        Label: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Encryption: {
            shape: _Encryption_1._Encryption
        }
    }
};
//# sourceMappingURL=_CaptionSource.js.map