"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Encryption_1 = require("./_Encryption");
var _JobWatermarks_1 = require("./_JobWatermarks");
var _JobAlbumArt_1 = require("./_JobAlbumArt");
var _Composition_1 = require("./_Composition");
var _Captions_1 = require("./_Captions");
exports._CreateJobOutput = {
    type: "structure",
    required: [],
    members: {
        Key: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ThumbnailPattern: {
            shape: {
                type: "string"
            }
        },
        ThumbnailEncryption: {
            shape: _Encryption_1._Encryption
        },
        Rotate: {
            shape: {
                type: "string"
            }
        },
        PresetId: {
            shape: {
                type: "string"
            }
        },
        SegmentDuration: {
            shape: {
                type: "string"
            }
        },
        Watermarks: {
            shape: _JobWatermarks_1._JobWatermarks
        },
        AlbumArt: {
            shape: _JobAlbumArt_1._JobAlbumArt
        },
        Composition: {
            shape: _Composition_1._Composition
        },
        Captions: {
            shape: _Captions_1._Captions
        },
        Encryption: {
            shape: _Encryption_1._Encryption
        }
    }
};
//# sourceMappingURL=_CreateJobOutput.js.map